Skip to main content
GET
/
cosigners
/
{cosignerId}
/
api_keys
TypeScript
const response: Promise<FireblocksResponse<ApiKeysPaginatedResponse>> = fireblocks.cosignersBeta.getApiKeys(cosignersBetaApiGetApiKeysRequest);
{
  "data": [
    {
      "id": "44fcead0-7053-4831-a53a-df7fb90d440f",
      "lastSeen": "2021-07-01T00:00:00.000Z",
      "callbackHandler": {
        "url": "https://example.com/callback-handler",
        "publicKey": "-----BEGIN PUBLIC KEY-----\n... truncated ...\n-----END PUBLIC KEY-----",
        "certPublicKeyHash": "<string>"
      }
    }
  ],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

cosignerId
string<uuid>
required

The unique identifier of the cosigner

Query Parameters

order
enum<string>
default:DESC

ASC / DESC ordering (default DESC)

Available options:
ASC,
DESC
pageCursor
string

Cursor of the required page

pageSize
number
default:10

Maximum number of items in the page

Required range: 1 <= x <= 100

Response

A paginated response containing ApiKey objects

data
object[]
required

The data of the current page

next
string | null

The ID of the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"